Subject: Re: bug#65152: [PATCH] services: Modify cgit-configuration fields
From: Ludovic Courtès <[email-masked]>
To: Thomas Albers Raviola <[email-masked]>
Cc: [email-masked]
Date: Sat, 09 Sep 2023 12:32:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Thomas Albers Raviola <[email-masked]> skribis:

> in this context `file-object' is defined to be either a `file-like'
> object or a `string'. As such this wouldn't break backward compatibility
> but include a superset of possible values.
>
> Also the original string is not used as the contents of the readme file
> but as a file path.

Oh right, my bad, I had misunderstood that.  So it’s all good, applied!

Eventually we should probably replace ‘file-object’ by ‘file-like’,
unless there’s a clear use case for passing out-of-band file names (a
use case would be passwords, but probably not ‘README’ files).

Thanks!

Ludo’.